Package io.vertx.core.spi.tracing

## Enum SpanKind

- java.lang.Object
- - java.lang.Enum<SpanKind>
  - - io.vertx.core.spi.tracing.SpanKind

- All Implemented Interfaces:
    `Serializable`, `Comparable<SpanKind>`

      public enum SpanKind
      extends Enum<SpanKind>

  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MESSAGING` |
    `RPC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SpanKind` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SpanKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RPC

          public static final SpanKind RPC

    - #### MESSAGING

          public static final SpanKind MESSAGING

  - ### Method Detail

    - #### values

          public static SpanKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpanKind c : SpanKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpanKind valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null